app-quick-search, app-tab {
  --height: 100%;
}

/*region prod-info-container RWD transformation*/
@media screen and (max-width: 400px),
       screen and (min-width: 551px) and (max-width: 660px) {
  app-quick-search {
    --column-type: one-column;
  }
}

@media screen and (min-width: 401px) and (max-width: 550px),
       screen and (min-width: 661px){
  app-quick-search {
    --column-type: two-column;
  }
}

@media screen and (min-width: 551px) and (max-width: 1000px){
  #prod-info-container {
    display: grid;
    grid-template-columns: repeat(2, calc(50% - 8px)); /*Subtract 8px from each column to be alloc to column-gap*/
    grid-row-gap: 16px;
    grid-column-gap: 16px;
  }

  app-tab {
    grid-row: 1;
    grid-column: 1/3;
  }
}

@media screen and (min-width: 1001px){
  #prod-info-container {
    display: grid;
    grid-template-columns: 65% auto;
    grid-row-gap: 16px;
    grid-column-gap: 16px;
  }

  app-tab {
    grid-row: 1/3;
    grid-column: 1;
  }
}
/*endregion*/

p {
  /*Needs to be placed locally, as it is overridden if in styles.css*/
  margin-bottom: 0 ;
}

/*region GetSupport view */

#get-support-wrap {
  color: var(--primary-colour800);
  background-color: var(--app-colour50);
  padding: 24px 16px;
  border-radius: 24px;
}

hr.divider {
  border: none;
  border-bottom: 1px solid var(--primary-colour800);
}

#get-support-ul {
  list-style-type: none;
  padding: 0 12px;
}

.get-support-title {
  --gs-title-left-pad: 12px;

  min-height: 32px;
  /* Setting padding-left = padding-right ensures that for the transition to 2x padding-left,
     padding right is transition to 0, thereby ensuring that animation does not result in change
     of container height*/
  padding: 16px var(--gs-title-left-pad) 4px var(--gs-title-left-pad);

  /*Centre text*/
  display: flex;
  align-items: center;

  transition-property: padding-left, padding-right;
  transition-duration: 500ms;
}

#get-support-ul li:first-child .get-support-title{
  /*Override the title of the first li, from above, to 0 top padding*/
  padding-top: 0 !important;
}

.get-support-title:hover {
  color: var(--primary-colour800);
  font-weight: bold;
  padding-left: calc(2 * var(--gs-title-left-pad)); /*transition-property*/
  padding-right: 0;/*transition-property*/
}

/*endregion*/

/*region Partner Section */
#partner-container {
  padding: 28px 12px 12px;
}

.partner-wrap {
  padding-bottom: 8px;
}

.partner-title-img-wrap {
  width: 100%;
}

.partner-img-wrap {
  /*Center img by default*/
  display: flex;
  justify-content: center;
}

.partner-img {
  /*Although % allowed width is set below, this is still useful to guard against exceeding this */
  max-width: 200px;
  padding-bottom: 12px;
}

@media screen and (max-width: 450px) {
  .partner-img {
    width: 60%;
  }
}

@media screen and (min-width: 451px) and (max-width: 650px) {
  .partner-img {
    width: 40%;
  }
}

@media screen and (min-width: 651px) {
  /*
  Split each PartnerItem into two columns, title/img and desc
  */
  .partner-wrap {
    display: grid;
    /* since gap is set, auto for the last param is useful to enforce 100% width*/
    grid-template-columns: auto auto;
    column-gap: 8px;
  }

  .partner-desc {
    padding-top: 8px; /*Makes the desc appear levelled with title*/
  }

  .partner-img {
    width: 80%;
  }
}

@media screen and (min-width: 1001px) {
  /* Show two PartnerItem per row, whilst still
  splitting each PartnerItem into two columns, title/img and desc as per @media above
  */
  #partner-container {
    display: grid;
    grid-template-columns: 56% 40%; /*NB: Values are content specific, aimed to spread the text on the left item evenly*/
    column-gap: 4%;
  }
}

/*endregion*/


/*region News Section */

/*region Init news view to a max-width and add footer: "Read more..."*/

#news-view-footer {
  display: block;
  text-align: right;
  padding-top: 4px;
}
/*endregion*/

/* ==app-news-detail== HIDE */
@media screen and (max-width: 520px){
  app-news-detail {
    /*Its display coincides with @media (min-width: 521px)*/
    display: none;
  }
}

/* ==app-news-latest-list== Text 1-column STARTS */
@media screen and (max-width: 370px) {
  app-news-latest-list {
    --img-display: none;
    --grid-temp-col-width-img: 0;
    --grid-temp-col-width-txt: 0;
    --column-gap-img-text: 0;
  }
}

/* ==app-news-latest-list== Text 1-column ENDS ---> Img-Text 2-column STARTS*/
@media screen and (min-width: 371px) and (max-width: 520px) {
  app-news-latest-list {
    --img-display: inline-block;
    --grid-temp-col-width-img: auto;
    --grid-temp-col-width-txt: 70%;
    --column-gap-img-text: 12px;
    --img-max-width: 80px;
  }
}

/* ==app-news-detail== STARTS */
/* ==app-news-latest-list== Img-Text 2-column ENDS ---> Text 1-column STARTS*/
@media screen and (min-width: 521px) and (max-width: 780px) {
  app-news-detail {
    /*Display News Detail from this point onwards*/
    display: block;
  }

  app-news-latest-list {
    --img-display: none;
    --grid-temp-col-width-img: 0;
    --grid-temp-col-width-txt: 0;
    --column-gap-img-text: 0;
  }

  #news-container {
    display: grid;
    grid-template-columns: 50% auto;
    grid-column-gap: 16px;
  }
}

/* ==app-news-detail== ENDS and CONTINUES (primarily to better manage overlap */
/* ==app-news-latest-list== Text 1-column ENDS ---> Img-Text 2-column STARTS*/
@media screen and (min-width: 781px) {
  app-news-latest-list {
    --img-display: inline-block;
    --grid-temp-col-width-img: auto;
    --grid-temp-col-width-txt: 70%;
    --column-gap-img-text: 12px;
    --img-max-width: 100px;
  }

  #news-container {
    display: grid;
    grid-template-columns: 40% auto; /**/
    grid-column-gap: 24px ;
  }
}

@media screen and (min-width: 1001px){
  #news-container {
    grid-template-columns: 50% auto !important;
  }
}

@media screen and (min-width: 1201px){
  /*LATEST_NEWS*/
  app-news-latest-list {
    --display: grid !important;
    --grid-template-columns: 50% 50% !important;
    --second-to-last-btm-border: none;
  }

  /*HomeComponent's Container*/
  #news-container {
    grid-template-columns: 40% auto !important;
  }
}

/*endregion*/
